package com.chelvc.framework.security.context;

import com.chelvc.framework.common.crypto.AESCipherFactory;
import com.chelvc.framework.common.util.ObjectUtils;
import com.chelvc.framework.common.util.StringUtils;
import com.chelvc.framework.security.config.SecurityProperties;
import lombok.NonNull;

/**
 * 信息安全数据加解密上下文默认实现
 *
 * @author Woody
 * @date 2024/6/25
 */
public class DefaultSecurityCryptoContext extends AESCipherFactory implements SecurityCryptoContext {
    public DefaultSecurityCryptoContext(@NonNull SecurityProperties properties) {
        super(ObjectUtils.ifNull(properties.getSecret(), StringUtils.EMPTY));
    }
}
